Bug 1847456 - Dockerfile.rhel7 fails ART builds
Summary: Dockerfile.rhel7 fails ART builds
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: config-operator
Version: 4.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.5.0
Assignee: Tomáš Nožička
QA Contact: Ke Wang
URL:
Whiteboard:
Depends On: 1847455
Blocks: 1847457
TreeView+ depends on / blocked
 
Reported: 2020-06-16 12:15 UTC by Tomáš Nožička
Modified: 2020-07-13 17:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of: 1847455
Environment:
Last Closed: 2020-07-13 17:44:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-config-operator pull 137 None closed [4.5] Bug 1847456: Fix Dockerfiles 2020-06-22 05:08:36 UTC
Red Hat Product Errata RHBA-2020:2409 None None None 2020-07-13 17:44:40 UTC

Description Tomáš Nožička 2020-06-16 12:15:21 UTC
+++ This bug was initially created as a clone of Bug #1847455 +++

Dockerfile.rhel7 fails ART builds with:

2020-06-15 14:42:23,127 - atomic_reactor.plugins.imagebuilder - INFO - --> COPY --from=builder /go/src/github.com/openshift/cluster-config-operator/vendor/github.com/openshift/api/config/v1/*_config-operator_*-.yaml /usr/share/bootkube/manifests/manifests
2020-06-15 14:42:23,884 - atomic_reactor.plugins.imagebuilder - INFO - file does not exist

there is a typo at the end, the `-` shouldn't be there

Comment 3 Ke Wang 2020-06-18 10:22:25 UTC
Since this is a typo, just check if the related PR was merged in latest OCP 4.5 payload, 
$ oc adm release info --commits registry.svc.ci.openshift.org/ocp/release:4.5.0-0.nightly-2020-06-17-234944 | grep cluster-config-operator
  cluster-config-operator                        https://github.com/openshift/cluster-config-operator                        018af1c260c626689c6a472eeb483520ef54b3d1
$ git log --date local --pretty="%h %an %cd - %s" 018af1c26 | grep '#137'

Nothing found.

Waiting for the next payload.

Comment 4 Ke Wang 2020-06-19 03:04:48 UTC
$ oc adm release info --commits registry.svc.ci.openshift.org/ocp/release:4.5.0-0.nightly-2020-06-19-024326 | grep cluster-config-operator
  cluster-config-operator                        https://github.com/openshift/cluster-config-operator      d841cead04a9dfb828cb82e01383e8e3e3d13a6b

$ git log --date local --pretty="%h %an %cd - %s" d841cead | grep '#137'
d841cead OpenShift Merge Robot Wed Jun 17 15:27:33 2020 - Merge pull request #137 from tnozicka/fix-dockerfiles-4.5

Related PR has been merged into latest payload, move the bug verified.

Comment 5 errata-xmlrpc 2020-07-13 17:44:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.